%global tilp_version 1.17

Name:           gfm
Version:        1.07
Release:        3%{?dist}
Summary:        Texas Instruments handheld(s) file manipulation program

Group:          Applications/File
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        http://sourceforge.net/projects/tilp/files/tilp2-linux/tilp2-%{tilp_version}/%{name}-%{version}.tar.bz2
Source1:        https://tc01.fedorapeople.org/tilp2/gfm.appdata.xml
# PNG icon for appdata format; the spec *could* just run mogrify but we want to submit this upstream.
Source2:        https://tc01.fedorapeople.org/tilp2/gfm.png
Patch0:         https://tc01.fedorapeople.org/tilp2/gfm_png_icon.patch

BuildRequires:  glib2-devel, pkgconfig, gtk2-devel, libglade2-devel, libticalcs2-devel, gettext, libXinerama-devel, libappstream-glib, desktop-file-utils, dconf

%description
The GFM is an application allowing for the manipulation of
single/group/tigroup files from Texas Instruments handhelds.
It can create a new file, open an existing file, save file,
rename variables, remove variables, create folders, group files
into a group/tigroup file, and ungroup a group/tigroup file
into single files.

%prep
%setup -q
cp %SOURCE2 pixmaps/
%patch0 -p1
rm po/fr.gmo

%build
%configure --with-xinerama --disable-rpath
make %{?_smp_mflags}
make -C po fr.gmo
sed -i 's/\r$//' README

%install
make install DESTDIR=%{buildroot}
cp %SOURCE2  %{buildroot}%{_datadir}/gfm/pixmaps/
desktop-file-validate %{buildroot}%{_datadir}/applications/gfm.desktop
%find_lang %{name}
mkdir %{buildroot}%{_datadir}/appdata
cp %SOURCE1 %{buildroot}%{_datadir}/appdata/
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml

%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%{_bindir}/gfm
%{_mandir}/man1/gfm.1.gz
%{_datadir}/gfm/
%{_datadir}/applications/gfm.desktop
%{_datadir}/appdata/gfm.appdata.xml

%doc README AUTHORS ABOUT-NLS
%license COPYING

%changelog
* Mon Aug 03 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.07-3
- Added patch to ship a png version of the gfm icon file.

* Tue Jul 14 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.07-2
- Added a French translation to the appdata file.
- Moved desktop-utils dependency to BuildRequires.
- Added dconf requires to silence a warning.

* Wed Jul 08 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.07-1
- Switched to using gettext and find_lang.
- Correctly flagged COPYING as a license file.
- Switched define to global macro.
- Added appdata XML file.
- Added update-desktop-database commands for the desktop file.
- Added --with-xinerama --disable-rpath options to the configure line.

* Sat Apr 20 2013 'Ben Rosser' <rosser.bjr@gmail.com> 1.07-0
- Updated to latest upstream tilp version

* Wed Sep 12 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.06-1
- Fixed spelling error in description

* Thu Jul 05 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.06-0
- Updated package to 1.06, vastly improved specfile

* Sat Jul 30 2011 'Ben Rosser' <rosser.bjr@gmail.com> 1.05-0
- Initial version of the package
